RunSandboxCommandDetails¶
- class oci.generative_ai_sandbox.models.RunSandboxCommandDetails(**kwargs)¶
Bases:
objectRequest body used to run a command in a sandbox.
Methods:
__init__(**kwargs)Initializes a new RunSandboxCommandDetails object with values from keyword arguments.
Attributes:
Gets the args of this RunSandboxCommandDetails.
[Required] Gets the command of this RunSandboxCommandDetails.
Gets the cwd of this RunSandboxCommandDetails.
Gets the environment_variables of this RunSandboxCommandDetails.
Gets the timeout of this RunSandboxCommandDetails.
- __init__(**kwargs)¶
Initializes a new RunSandboxCommandDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
command (str) – The value to assign to the command property of this RunSandboxCommandDetails.
cwd (str) – The value to assign to the cwd property of this RunSandboxCommandDetails.
args (list[str]) – The value to assign to the args property of this RunSandboxCommandDetails.
environment_variables (list[oci.generative_ai_sandbox.models.EnvironmentVariable]) – The value to assign to the environment_variables property of this RunSandboxCommandDetails.
timeout (str) – The value to assign to the timeout property of this RunSandboxCommandDetails.
- property args¶
Gets the args of this RunSandboxCommandDetails. Command arguments.
- Returns
The args of this RunSandboxCommandDetails.
- Return type
list[str]
- property command¶
[Required] Gets the command of this RunSandboxCommandDetails. The command to execute in the sandbox runtime.
- Returns
The command of this RunSandboxCommandDetails.
- Return type
str
- property cwd¶
Gets the cwd of this RunSandboxCommandDetails. Absolute directory path to use as the working directory for command execution in the sandbox.
- Returns
The cwd of this RunSandboxCommandDetails.
- Return type
str
- property environment_variables¶
Gets the environment_variables of this RunSandboxCommandDetails. Environment variables to inject into the command execution.
- Returns
The environment_variables of this RunSandboxCommandDetails.
- Return type
- property timeout¶
Gets the timeout of this RunSandboxCommandDetails. Maximum execution time for the command, in ISO 8601 duration format.
- Returns
The timeout of this RunSandboxCommandDetails.
- Return type
str